On Fri, May 10, 2013 at 10:23 PM, David Aguilar <dav...@gmail.com> wrote:
> Mac OS X Mountain Lion prints warnings when building git:
>
>         warning: 'SHA1_Init' is deprecated
>         (declared at /usr/include/openssl/sha.h:121)
>
> Silence the warnings by using the Common Digest SHA-1
> functions for SHA1_Init(), SHA1_Update(), and SHA1_Final().

On Lion, with this patch, I see diagnostics such as:

    warning: implicit declaration of function 'CC_SHA1_Init'

If I #include <CommonCrypto/CommonDigest.h>, the "implicit
declaration" warning is resolved, but a host of other warnings about
incompatible pointer types crop up.

(This is a bare Lion installation with latest XCode and "Command Line
Tools" package. No MacPorts, no Homebrew.)

> Add a COMMON_DIGEST_SHA1 knob to the Makefile to allow
> choosing this implementation and define it by default on Darwin.
>
> Signed-off-by: David Aguilar <dav...@gmail.com>
> ---
> This implements the suggestion from John Keeping instead
> of blindly setting NO_OPENSSL on Darwin.
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majord...@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to